<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (1.8.0_141) on Thu Jun 07 14:32:07 CEST 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>A-Index</title>
<meta name="date" content="2018-06-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="A-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Letter</li>
<li><a href="index-2.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-1.html" target="_top">Frames</a></li>
<li><a href="index-1.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a name="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><span class="memberNameLink"><a href="../Negocio/UserProcess.html#actualizarUsuario-Negocio.UserClass-">actualizarUsuario(UserClass)</a></span> - Method in class Negocio.<a href="../Negocio/UserProcess.html" title="class in Negocio">UserProcess</a></dt>
<dd>
<div class="block">Actualizar usuario<br>
 Metodo para actualizar los datos de un usuario concreto</div>
</dd>
<dt><a href="../Vista/AddLibroVista.html" title="class in Vista"><span class="typeNameLink">AddLibroVista</span></a> - Class in <a href="../Vista/package-summary.html">Vista</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Vista/AddLibroVista.html#AddLibroVista-Vista.Escritorio-">AddLibroVista(Escritorio)</a></span> - Constructor for class Vista.<a href="../Vista/AddLibroVista.html" title="class in Vista">AddLibroVista</a></dt>
<dd>
<div class="block">Creates new form AñadirLibroVentana</div>
</dd>
<dt><span class="memberNameLink"><a href="../Negocio/BookProcess.html#addNewBook-java.lang.String-java.lang.String-java.lang.String-">addNewBook(String, String, String)</a></span> - Method in class Negocio.<a href="../Negocio/BookProcess.html" title="class in Negocio">BookProcess</a></dt>
<dd>
<div class="block">Añadir libro a la biblioteca<br></div>
</dd>
<dt><span class="memberNameLink"><a href="../Negocio/UserProcess.html#addUsuario-Negocio.UserClass-">addUsuario(UserClass)</a></span> - Method in class Negocio.<a href="../Negocio/UserProcess.html" title="class in Negocio">UserProcess</a></dt>
<dd>
<div class="block">Añadir un nuevo usuario<br>
 Metodo para añadir un nuevo usuario donde se pasaran los parametros
 descritos en los atributos, para que pueda realizar la accion</div>
</dd>
<dt><span class="memberNameLink"><a href="../Vista/AddUsuarioVista.html#addUsuario--">addUsuario()</a></span> - Method in class Vista.<a href="../Vista/AddUsuarioVista.html" title="class in Vista">AddUsuarioVista</a></dt>
<dd>
<div class="block">Metodo con el que añadir un nuevo usuario, realizara todas las acciones
 oportunas</div>
</dd>
<dt><a href="../Vista/AddUsuarioVista.html" title="class in Vista"><span class="typeNameLink">AddUsuarioVista</span></a> - Class in <a href="../Vista/package-summary.html">Vista</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Vista/AddUsuarioVista.html#AddUsuarioVista-Vista.Escritorio-">AddUsuarioVista(Escritorio)</a></span> - Constructor for class Vista.<a href="../Vista/AddUsuarioVista.html" title="class in Vista">AddUsuarioVista</a></dt>
<dd>
<div class="block">Creates new form AñadirUsuarioVista</div>
</dd>
<dt><a href="../Negocio/AdminClass.html" title="class in Negocio"><span class="typeNameLink">AdminClass</span></a> - Class in <a href="../Negocio/package-summary.html">Negocio</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Negocio/AdminClass.html#AdminClass--">AdminClass()</a></span> - Constructor for class Negocio.<a href="../Negocio/AdminClass.html" title="class in Negocio">AdminClass</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Negocio/AdminClass.html#AdminClass-Vista.Escritorio-">AdminClass(Escritorio)</a></span> - Constructor for class Negocio.<a href="../Negocio/AdminClass.html" title="class in Negocio">AdminClass</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Vista/Escritorio.html#arrancarAplicacion--">arrancarAplicacion()</a></span> - Method in class Vista.<a href="../Vista/Escritorio.html" title="class in Vista">Escritorio</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Letter</li>
<li><a href="index-2.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-1.html" target="_top">Frames</a></li>
<li><a href="index-1.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
